Bug 37470 - GUI upgrade: many partitions cause button to fall off the bottom
GUI upgrade: many partitions cause button to fall off the bottom
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-24 15:41 EDT by Davide Bolcioni
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-27 15:24:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Davide Bolcioni 2001-04-24 15:41:39 EDT
When upgrading from 7.0, the GUI install notices that my swap is below
twice RAM (511 MB instead of 512, oh well) and offers the option to create
swap. However, I have enough partitions to cause the rest of the dialogue
on the right to fall off the bottom so I don't know if I have the option
not to create more swap (which I would pick in this case).

/dev/hda9               /                       ext2    defaults        1 1
/dev/hda2               /boot                   ext2    defaults        1 2
/dev/hda12              /home                   ext2    defaults        1 2
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,ro 0 0
/dev/hda13              /opt                    ext2    defaults        1 2
/dev/md2                /save                   ext2    defaults        1 2
/dev/md0                /tmp                    ext2    defaults        1 2
/dev/md1                /usr                    ext2    defaults        1 2
/dev/hda14              /usr/local              ext2    defaults        1 2
/dev/md3                /var                    ext2    defaults        1 2
/dev/md4
	/var/spool/wwwoffle	ext2	defaults	1 2
/dev/md5
	/var/spool/news		ext2	defaults	1 2
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/sda1               swap                    swap    defaults        0 0
/dev/sdb1               swap                    swap    defaults        0 0
Comment 1 Brent Fox 2001-04-24 15:55:50 EDT
Request for enhancement: Allow the user to create a new swap partition if they
have the disk space to do so.  In other words, don't make them have to create a
swap file if they have room for a new swap partition.
Comment 2 Michael Fulbright 2001-04-25 11:29:10 EDT
I think the problem being reported is that the packing of the widgets is such
that if you have enough valid partitions that the list pushes the option to not
create a swapfile off the window, correct?
Comment 3 Davide Bolcioni 2001-04-25 12:49:46 EDT
Yes, that's exactly the problem. It does not look like an enhancement to me, as
it leaves no other option beyond creating swap if one is to proceed with the
upgrade.
Comment 4 Brent Fox 2001-04-26 16:09:39 EDT
Oh, sorry.  I thought you were talking about a different screen.  Basically, the
partition list should be inside a scroll box.  Then it could scroll down for as
far as you need it to.
Comment 5 Brent Fox 2001-04-27 15:24:39 EDT
Fixed in cvs.  The list can now scroll down for as many partitions as you have.
 Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.